=== debian/changelog ===
ros-melodic-rokubimini (0.5.8-1stretch) stretch; urgency=high

  * Release 0.5.7 into master
  * add condition for adding -faligned-new flag in GCC
  * Contributors: Mike Karam, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Thu, 12 Nov 2020 22:00:00 -0000

ros-melodic-rokubimini (0.5.7-1stretch) stretch; urgency=high

  * Fix gcc error for extended alignment
  * Release master 0.5.6
  * Support clang format 8
  * Contributors: Mike Karam, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Tue, 03 Nov 2020 22:00:00 -0000

ros-melodic-rokubimini (0.5.6-1stretch) stretch; urgency=high

  * Support clang format 8
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Mon, 02 Nov 2020 22:00:00 -0000

ros-melodic-rokubimini (0.5.5-1stretch) stretch; urgency=high

  * Merge branch 'release/0.5.4' into 'melodic-devel'
    Release 0.5.4
    See merge request botasys/bota_driver!54
  * Release 0.5.4
  * Merge branch 'release/0.5.3' into 'melodic-devel'
    Release 0.5.3
    See merge request botasys/bota_driver!52
  * Release 0.5.3
  * Merge branch 'fix/cmake-eigen3-error' into 'melodic-devel'
    Try to fix cmake Eigen3 error on ROS buildfarm again
    See merge request botasys/bota_driver!51
  * add different changes
  * merge release 0.5.2 into melodic-devel
  * Contributors: Mike Karam, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Sun, 01 Nov 2020 22:00:00 -0000

ros-melodic-rokubimini (0.5.4-1stretch) stretch; urgency=high

  * Merge branch 'release/0.5.3' into 'melodic-devel'
    Release 0.5.3
    See merge request botasys/bota_driver!52 <https://gitlab.com/botasys/bota_driver/-/merge_requests/52>
  * Release 0.5.3
  * Merge branch 'fix/cmake-eigen3-error' into 'melodic-devel'
    Try to fix cmake Eigen3 error on ROS buildfarm again
    See merge request botasys/bota_driver!51 <https://gitlab.com/botasys/bota_driver/-/merge_requests/51>
  * add different changes
  * merge release 0.5.2 into melodic-devel
  * Contributors: Mike Karam, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Fri, 30 Oct 2020 22:00:00 -0000

ros-melodic-rokubimini (0.5.3-1stretch) stretch; urgency=high

  * Merge branch 'fix/cmake-eigen3-error' into 'melodic-devel'
    Try to fix cmake Eigen3 error on ROS buildfarm again
    See merge request botasys/bota_driver!51 <https://gitlab.com/botasys/bota_driver/-/merge_requests/51>
  * add different changes
  * merge release 0.5.2 into melodic-devel
  * Contributors: Mike Karam, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Thu, 29 Oct 2020 22:00:00 -0000

ros-melodic-rokubimini (0.5.2-1stretch) stretch; urgency=high

  * Merge branch 'fix/cmake-eigen3-error' into 'master'
    Fix eigen3 cmake error on ROS buildfarm
    See merge request botasys/bota_driver!49 <https://gitlab.com/botasys/bota_driver/-/merge_requests/49>
  * fix eigen3 cmake error on ROS buildfarm
  * Merge branch 'feature/increment-patch-version' into 'master'
    Increment patch version
    See merge request botasys/bota_driver!48 <https://gitlab.com/botasys/bota_driver/-/merge_requests/48>
  * Increment patch version
  * Contributors: Mike Karam, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Wed, 28 Oct 2020 22:00:00 -0000

ros-melodic-rokubimini (0.5.1-1stretch) stretch; urgency=high



 -- Bota Systems AG <sw-support@botasys.com>  Mon, 26 Oct 2020 22:00:00 -0000

ros-melodic-rokubimini (0.5.0-1stretch) stretch; urgency=high

  * Merge branch 'feature/move-publishers-to-instances'
  * Merge branch 'feature/remove-message-logger-dependency'
  * Merge branch 'feature/rename-project' into 'master'
    Rename project to bota_driver
  * Merge branch 'feature/remove-yaml-tools-dep' into 'master'
    Remove yaml tools dependency
  * Merge branch 'feature/remove-cosmo-dependency' into 'master'
    Remove all dependencies apart from yaml_tools
  * Merge branch 'feature/save-config-parameter'
  * Merge branch 'feature/add-temperature-serial'
  * Merge branch 'feature/add-si-units-imu'
  * add temperature publishing functionality. tested locally
  * add first implementation. works on Serial, but it's still WIP
  * add conversion to SI units for IMU data
  * Merge branch 'feature/remove-command-from-repo' into 'master'
    remove Command from repo. Tested locally
  * Merge branch 'feature/change-printed-messages' into 'master'
    Feature/change printed messages
  * Initial commit
    - change [ForceTorqueSensor::device_name] to [device_name] in RokubiminiSerialImpl.cpp
    - add bus name and/or device_name in RokubiminiEthercatSlave, RokubiminiEthercatBusManager and EthercatBusBase.
  * Merge branch 'add-abstract-filters' into 'master'
    Add configuration support in serial devices
  * fix bug in assignment operation of Configuration. replace INIT_MODE with ConnectionState in RokubiminiSerialImpl code
  * Merge branch 'add-linter-test' into 'feature/rokubimini_serial'
    Add linter testing step in CI
  * add clang-formated code. add support for multiple devices in rokubimini_cosmo
  * add doxygen documentation
  * first abstracted try
  * Merged in feature/temperature_reading (pull request #31)
    add temperature in readings
    Approved-by: Johannes Pankert <mailto:johannes@pankert.eu>
  * add temperature in readings
  * remove redundant orientation. Imu has quaternion
  * Merged in feature/publish_standard_ros_msgs (pull request #29)
    remove redundant orientation. Imu has quaternion
    Approved-by: Johannes Pankert <mailto:johannes@pankert.eu>
    Approved-by: Martin Wermelinger <mailto:martiwer@mavt.ethz.ch>
  * remove redundant orientation. Imu has quaternion
  * Merge branch 'master' into feature/publish_rokubimini_reading
  * Merged in Feature/default_config (pull request #20)
    Feature/default config
    Approved-by: Markus Stäuble <mailto:markus.staeuble@mavt.ethz.ch>
    Approved-by: Johannes Pankert <mailto:johannes@pankert.eu>

