=== debian/control ===
Source: ros-melodic-rokubimini
Section: misc
Priority: optional
Maintainer: Bota Systems AG <sw-support@botasys.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libgtest-dev, ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-roscpp, ros-melodic-rosunit, ros-melodic-sensor-msgs
Homepage: http://wiki.ros.org/bota_driver
Standards-Version: 3.9.2

Package: ros-melodic-rokubimini
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-melodic-geometry-msgs, ros-melodic-roscpp, ros-melodic-sensor-msgs
Description: C++ library deriving the abstract communication interface classes in the rokubimini library for EtherCAT.
